<!DOCTYPE html>
<html lang="en">
    <head>
        <title>New File</title>
    </head>

    <body>
        <div class="container">

        </div>
        <form action="">
            <input type="text" id="task">
            <button type="submit">add</button>
        </form>
        
    </body>
    <script>
        document.querySelector("form").onsubmit = function() {
            const new_ = document.querySelector("#task").value;

            let tasks;
            if(localStorage.getItem('tasks') == null){
                tasks = [];
            }else{
                tasks = JSON.parse(localStorage.getItem('tasks'));
            }
            tasks.push(new_);

            localStorage.setItem('tasks', JSON.stringify(tasks));

            const lineup = JSON.parse(localStorage.getItem('tasks'));

            document.querySelector('.container').innerHTML += new_;

            return false;
        }
    </script>
</html>